%global git_hash 51b1869

Name:       nodejs-nopt
Version:    1.0.10
Release:    3%{?dist}
Summary:    Node.js option parsing
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/nopt
# download from https://github.com/isaacs/nopt/tarball/%%{version}
Source0:    isaacs-nopt-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
Requires:       nodejs-abbrev
%endif

%description
An option parsing library for Node.js and its package manager (npm).

%prep
%setup -q -n isaacs-nopt-3689c94

%nodejs_fixshebang bin/nopt.js

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/nopt
cp -pr lib package.json %{buildroot}%{nodejs_libdir}/nopt

mkdir -p %{buildroot}%{_bindir}
cp -p bin/nopt.js %{buildroot}%{_bindir}/nopt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/nopt
%{_bindir}/nopt
%doc README.md LICENSE
%doc examples/

%changelog
* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-4
- bring in line with newer module packaging standards

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-3
- guard Requires for F17 automatic depedency generation

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-2
- add Group to make EL5 happy

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> 1.0.10-1
- new upstream release

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.6-1
- initial package
